     ;************** Setup DLL entries

     ; setup some working definitions, to avoid ifnconst mess elsewhere...
     ifnconst SCREENHEIGHT
WSCREENHEIGHT         = 192
     else
WSCREENHEIGHT         = SCREENHEIGHT
     endif

     ifnconst ZONEHEIGHT
WZONEHEIGHT         = 16
     else
WZONEHEIGHT         = ZONEHEIGHT
     endif

     ifnconst ZONECOUNT
WZONECOUNT         = (WSCREENHEIGHT/WZONEHEIGHT)
     else
WZONECOUNT         = ZONECOUNT
     endif

     ; top of the frame, non-visible lines. this is based on NTSC,
     ; but we add in extra NV lines at the end of the display to ensure
     ; our PAL friends can play the game without it crashing.
NVLINES         = ((243-WSCREENHEIGHT)/2)

     ; Pointers to the DL storage
     ifconst USERDEFINEDZONES

         ; the user HAS defined custom DLs...
         ; our maximum screen size is 224. if we use 8 pixel-tall zones we'll need 28 DLs

DLPOINTH
         .byte >(ZONEMEM00), >(ZONEMEM01), >(ZONEMEM02), >(ZONEMEM03)
         .byte >(ZONEMEM04), >(ZONEMEM05), >(ZONEMEM06), >(ZONEMEM07)
         .byte >(ZONEMEM08), >(ZONEMEM09), >(ZONEMEM10), >(ZONEMEM11)
         .byte >(ZONEMEM12), >(ZONEMEM13), >(ZONEMEM14), >(ZONEMEM15)
         .byte >(ZONEMEM16), >(ZONEMEM17), >(ZONEMEM18), >(ZONEMEM19)
         .byte >(ZONEMEM20), >(ZONEMEM21), >(ZONEMEM22), >(ZONEMEM23)
         .byte >(ZONEMEM24), >(ZONEMEM25), >(ZONEMEM26), >(ZONEMEM27)
DLPOINTL
         .byte <(ZONEMEM00), <(ZONEMEM01), <(ZONEMEM02), <(ZONEMEM03)
         .byte <(ZONEMEM04), <(ZONEMEM05), <(ZONEMEM06), <(ZONEMEM07)
         .byte <(ZONEMEM08), <(ZONEMEM09), <(ZONEMEM10), <(ZONEMEM11)
         .byte <(ZONEMEM12), <(ZONEMEM13), <(ZONEMEM14), <(ZONEMEM15)
         .byte <(ZONEMEM16), <(ZONEMEM17), <(ZONEMEM18), <(ZONEMEM19)
         .byte <(ZONEMEM20), <(ZONEMEM21), <(ZONEMEM22), <(ZONEMEM23)
         .byte <(ZONEMEM24), <(ZONEMEM25), <(ZONEMEM26), <(ZONEMEM27)

     else

         ; the user HAS NOT defined custom DLs...

  if WZONEHEIGHT = 8
  if WSCREENHEIGHT = 192
DLPOINTH
   .byte $18,$18,$19,$19,$19,$1a,$1a,$1a,$1a,$1b,$1b,$1b
   .byte $1c,$1c,$1c,$1d,$1d,$1d,$1d,$1e,$1e,$1e,$1f,$1f
DLPOINTL
   .byte $80,$cd,$1a,$67,$b4,$01,$4e,$9b,$e8,$35,$82,$cf
   .byte $1c,$69,$b6,$03,$50,$9d,$ea,$37,$84,$d1,$1e,$6b
   ; last byte used in DLL: 1fb7
   ; max number of objects per DL: 15
DLLASTOBJ = 75
DLHEIGHT
   .byte $07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07
   .byte $07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07
  endif ; 192 (8)

  if WSCREENHEIGHT = 208
DLPOINTH
   .byte $18,$18,$19,$19,$19,$19,$1a,$1a,$1a,$1a,$1b,$1b,$1b,$1b
   .byte $1c,$1c,$1c,$1c,$1d,$1d,$1d,$1d,$1e,$1e,$1e,$1f,$1f,$1f
DLPOINTL
   .byte $80,$c3,$06,$49,$8c,$cf,$12,$55,$98,$db,$1e,$61,$a4,$e7
   .byte $2a,$6d,$b0,$f3,$36,$79,$bc,$ff,$42,$85,$c8,$0b,$4e,$91
   ; last byte used in DLL: 1fd3
   ; max number of objects per DL: 13
DLLASTOBJ = 65
DLHEIGHT
   .byte $07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07
   .byte $07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07
  endif ; 208 (8)

  if WSCREENHEIGHT = 224
DLPOINTH
   .byte $18,$18,$18,$19,$19,$19,$19,$1a,$1a,$1a,$1a,$1a,$1b,$1b,$1b,$1b
   .byte $1c,$1c,$1c,$1c,$1c,$1d,$1d,$1d,$1d,$1e,$1e,$1e,$1e,$1e,$1f,$1f
DLPOINTL
   .byte $80,$b9,$f2,$2b,$64,$9d,$d6,$0f,$48,$81,$ba,$f3,$2c,$65,$9e,$d7
   .byte $10,$49,$82,$bb,$f4,$2d,$66,$9f,$d8,$11,$4a,$83,$bc,$f5,$2e,$67
   ; last byte used in DLL: 1f9f
   ; max number of objects per DL: 11
DLLASTOBJ = 55
DLHEIGHT
   .byte $07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07
   .byte $07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07
  endif ; 224 (8)
  endif ; 8

  if WZONEHEIGHT = 16
  if WSCREENHEIGHT = 192
DLPOINTH
   .byte $18,$19,$19,$1a,$1a,$1b,$1c,$1c,$1d,$1e,$1e,$1f
DLPOINTL
   .byte $80,$1d,$ba,$57,$f4,$91,$2e,$cb,$68,$05,$a2,$3f
   ; last byte used in DLL: 1fdb
   ; max number of objects per DL: 31
DLLASTOBJ = 155
DLHEIGHT
   .byte $1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F
  endif ; 192 (16)

  if WSCREENHEIGHT = 208
DLPOINTH
   .byte $18,$19,$19,$1a,$1a,$1b,$1b,$1c,$1d,$1d,$1e,$1e,$1f
DLPOINTL
   .byte $80,$13,$a6,$39,$cc,$5f,$f2,$85,$18,$ab,$3e,$d1,$64
   ; last byte used in DLL: 1ff6
   ; max number of objects per DL: 29
DLLASTOBJ = 145
DLHEIGHT
   .byte $1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F
  endif ; 208 (16)

  if WSCREENHEIGHT = 224
DLPOINTH
   .byte $18,$19,$19,$1a,$1a,$1b,$1b,$1c,$1c,$1d,$1d,$1e,$1e,$1f
DLPOINTL
   .byte $80,$09,$92,$1b,$a4,$2d,$b6,$3f,$c8,$51,$da,$63,$ec,$75
   ; last byte used in DLL: 1ffd
   ; max number of objects per DL: 27
DLLASTOBJ = 135
DLHEIGHT
   .byte $1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F,$1F
  endif ; 224 (16)
  endif ; 16


 endif ; !USERDEFINEDZONES

 ifconst HSSUPPORT
HSDLPOINTH
   .byte $18,$18,$19,$19,$19,$1a,$1a,$1a,$1a,$1b,$1b,$1b
   .byte $1c,$1c,$1c,$1d,$1d,$1d,$1d,$1e,$1e,$1e,$1f,$1f
HSDLPOINTL
   .byte $80,$cd,$1a,$67,$b4,$01,$4e,$9b,$e8,$35,$82,$cf
   .byte $1c,$69,$b6,$03,$50,$9d,$ea,$37,$84,$d1,$1e,$6b
   ; last byte used in DLL: 1fb7
   ; max number of objects per DL: 15
HSDLLASTOBJ = 75
HSDLHEIGHT
   .byte $07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07
   .byte $07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07,$07
 endif
